#!/usr/bin/env python
# -*- coding: utf-8 -*-

#
# Fichero:	generaCSVProfesores.py
#
# Descripcion:	Programa que hace un 'parse' del fichero XML generado por Gescen para el alta de usuarios en lliurex y 
#               que crea un fichero CSV con los campos requeridos. A continuacin se puede convertir a SQL para importarlo desde MySQL
#

#
# FORMATO: python generaCSV.py llxgesc.XML csvProfesores.csv 
#
# 
# Autor: Joaquin Lpez Snchez-Montas 

import sys, codecs, xml.etree.ElementTree as ET
from xml.etree.ElementTree import tostring
reload(sys)
sys.setdefaultencoding("utf-8")

# Funcin que lee el fichero csv y construye un diccionario de pares clave,valor


def usage():
	
	print "USO:python generaCSV.py llxgesc.XML csvProfesores.csv "
	sys.exit(1)

if len(sys.argv) < 3:
	usage()

else:

	try:
             # Open a file --> para obtener los datos de los alumnos y pasarlos a SQL
             fo = codecs.open(sys.argv[2], encoding='utf-8', mode='w+')
             
             # Create the root of the ElementTree from file
             root = ET.parse(sys.argv[1]).getroot()
       

             # Obtenemos un iterador para los nodos de los alumnos 
	     iteradorProfessors = root.getiterator("professor")
             # Bucle que usa el iterador iteradorAlumnes
             for professor in iteradorProfessors:    
                 # Para encontrar un sub-elemento con una etiqueta de texto usamos find()
                 # Buscamos el n de expediente del alumno en el diccionario 
                 # y le aadimos los nuevos smbolos uid y password
		 nom=str(professor.find("nom").text)
		 cognoms=str(professor.find("cognoms").text)
		 dni=str(professor.find("document").text)
             	 
                 
 		 # linea que insertamos en el fichero CSV 
		 cadena=dni+","+nom+","+cognoms+"\n"
	         print cadena
		 cadena2=cadena.encode('utf-8')              
                 fo.write(cadena)
             
             # Close opend file
             fo.close()
             
        except Exception as e:
		print e
